package cd.casic.plugin.extension;

import org.springframework.util.Assert;
import org.springframework.util.StringUtils;

/**
 * @Classname GroupVersion
 * @Description TODO
 * @Date 2025/5/8 19:33
 * @Created by mianbin
 */
public record GroupVersion(String group, String version) {

    @Override
    public String toString() {
        return StringUtils.hasText(group) ? group + "/" + version : version;
    }

    public static GroupVersion parseAPIVersion(String apiVersion) {
        Assert.hasText(apiVersion, "API version must not be blank");

        var groupVersion = apiVersion.split("/");
        return switch (groupVersion.length) {
            case 1 -> new GroupVersion("", apiVersion);
            case 2 -> new GroupVersion(groupVersion[0], groupVersion[1]);
            default ->
                throw new IllegalArgumentException("Unexpected APIVersion string: " + apiVersion);
        };
    }
}
