package cd.casic.ci.commons.bean.engine.job;


import cd.casic.ci.commons.bean.process.definition.Pipeline;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 执行发送消息通知需要的信息
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class TaskExecMessage {

    //流水线信息
    private Pipeline pipeline;

    //任务信息
    private Tasks tasks;

    //需要执行任务的名称
    private String taskName;

    //需要执行任务的Id
    private String taskId;

    //执行任务的状态
    private boolean execState;

    //是任务还是流水线
    private boolean execPipeline;

    private String pipelineId;

    public TaskExecMessage(Pipeline pipeline, boolean execState) {
        this.pipeline = pipeline;
        this.execState = execState;
    }

    public TaskExecMessage(Pipeline pipeline, String taskName, String taskId, boolean execState) {
        this.pipeline = pipeline;
        this.taskName = taskName;
        this.taskId = taskId;
        this.execState = execState;
    }

    public TaskExecMessage(Pipeline pipeline, Tasks tasks, String taskName, boolean execState, boolean execPipeline) {
        this.pipeline = pipeline;
        this.tasks = tasks;
        this.taskName = taskName;
        this.execState = execState;
        this.execPipeline = execPipeline;
    }
}
