package cd.casic.ci.commons.bean.process.definition;


import cd.casic.framework.commons.pojo.PageParam;
import cn.hutool.db.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线查询模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineQuery {

    //用户Id
    private String userId;

    // 创建人
    private String createUserId;

    //流水线名称
    private String pipelineName;

    /**
     * 流水线状态 1.运行中 2.未运行,3.等待执行
     */
    private Integer pipelineState;

    /**
     * 流水线类型 1.多任务 2.多阶段
     */
    private Integer pipelineType;

    //流水线权限
    private Integer pipelinePower;

    //收藏, 1.收藏 0.未收藏
    private Integer pipelineFollow;

    //流水线id数组
    private String[] idString;

    private boolean eqName;

    // 环境
    private String envId;

    // 分组
    private String groupId;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams ;
}
