package cd.casic.ci.commons.bean.process.stage;


import cd.casic.ci.commons.bean.engine.job.Tasks;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线阶段模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Stage {

    //id
    private String stageId;

    //名称
    private String stageName;

    //创建时间
    private String createTime;

    //流水线id
    private String pipelineId;

    //阶段顺序
    private int stageSort;

    //主阶段
    private String parentId;

    //是否是源码
    private boolean code = false;

    //阶段任务
    private List<Tasks> taskValues;

    //阶段
    private List<Stage> stageList;

    //任务类型
    private String taskType;

    //任务id
    private String taskId;

    //更新内容
    private Object values;

    //任务顺序
    private int taskSort;

    //并行阶段名称
    private String parallelName;

    // 执行实例id
    private String instanceId;
}
