package cd.casic.module.process.process.setting.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname AuthDo
 * @Description 流水线基本认证实体
 * @Date 2025/4/23 14:43
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_auth", autoResultMap = true)
public class AuthDo extends BaseDO {
    @TableId
    private String authId;

    private String name;

    //认证类型（1.用户名密码 2.私钥）
    private int authType;

    private String username;

    private String password;

    private String privateKey;

    //创建人
    private String userId ;

    //是否公开 1：公开， 2：不公开
    private int authPublic;
}
