package cd.casic.module.process.process.setting.impl;


import cd.casic.ci.commons.bean.process.setting.Env;
import cd.casic.ci.commons.bean.process.setting.EnvQuery;
import cd.casic.ci.commons.bean.utils.PipelineUtil;
import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.process.process.setting.EnvService;
import cd.casic.module.process.process.setting.dao.EnvDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class EnvServiceImpl implements EnvService {

    @Autowired
    EnvDao envDao;

    @Override
    public String createEnv(Env env) {
        env.setCreateTime(PipelineUtil.date(1));
        return envDao.creatEnv(env);
    }

    @Override
    public void updateEnv(Env env) {
        envDao.updateEnv(env);
    }

    @Override
    public void deleteEnv(String envId) {
        envDao.deleteEnv(envId);
    }

    @Override
    public Env findOneEnv(String envId) {
        Env env = envDao.findOneEnv(envId);
        return env;
    }

    @Override
    public List<Env> findAllEnv() {
        return envDao.findAllEnv();
    }

    @Override
    public List<Env> findEnvList(EnvQuery envQuery) {
        List<Env> envList = envDao.findEnvList(envQuery);
        return envList;
    }

    @Override
    public PageResult<Env> findEnvPage(EnvQuery envQuery) {
//        Pagination<Env> envPage = envDao.findEnvPage(envQuery);
//        List<Env> dataList = envPage.getDataList();
//        return PaginationBuilder.build(envPage,dataList);
        return null;
    }

    @Override
    public List<Env> findAllEnvList(List<String> idList) {
        return envDao.findAllEnvList(idList);
    }


    @Override
    public Integer findEnvNumber() {
        return envDao.findEnvNumber();
    }
}
