package cd.casic.module.process.support.variable.model;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线条件模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class VariableQuery {

    //类型 1.字符串 2.单选
    private int taskType;

    //类型 1.全局 2.项目
    private int type;

    //任务id
    private String taskId;

    //名称
    private String varKey;

    //默认值
    private String varValue;

    //值
    private String varValues;

    //流水线id
    private String pipelineId;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;

}
