package cd.casic.module.process.task.build.dao;

/**
 * @ClassName TaskArtifactXpackServiceImpl
 * @Author hopeli
 * @Date 2025/5/2 19:26
 * @Version 1.0
 */

import cd.casic.module.process.task.code.jpa.JpaTemplate;
import cd.casic.module.process.task.build.dataobject.TaskBuildDo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class TaskBuildDao {

    @Autowired
    JpaTemplate jpaTemplate;

    /**
     * 创建
     * @param taskBuildDo build信息
     * @return buildId
     */
    public String createBuild(TaskBuildDo taskBuildDo){
        return jpaTemplate.save(taskBuildDo,String.class);
    }

    /**
     * 删除
     * @param buildId buildId
     */
    public void deleteBuild(String buildId){
        jpaTemplate.delete(TaskBuildDo.class,buildId);
    }

    /**
     * 更新build
     * @param taskBuildDo 更新信息
     */
    public void updateBuild(TaskBuildDo taskBuildDo){
        jpaTemplate.update(taskBuildDo);
    }

    /**
     * 查询单个build信息
     * @param buildId buildId
     * @return build信息
     */
    public TaskBuildDo findOneBuild(String buildId){
        return jpaTemplate.findOne(TaskBuildDo.class,buildId);
    }

    /**
     * 查询所有build信息
     * @return build信息集合
     */
    public List<TaskBuildDo> findAllBuild(){
        return jpaTemplate.findAll(TaskBuildDo.class);
    }


    public List<TaskBuildDo> findAllCodeList(List<String> idList){
        return jpaTemplate.findList(TaskBuildDo.class,idList);
    }
}
